# -*- coding: utf-8 -*-

tex_nine_maths_cache = [

    {"word":  r"aleph",               "menu":  "ℵ"},
    {"word":  r"alpha",               "menu":  "α"},
    {"word":  r"amalg",               "menu":  "⨿"},
    {"word":  r"angle",               "menu":  "∠"},
    {"word":  r"approx",              "menu":  "≈"},
    {"word":  r"ast",                 "menu":  "∗"},
    {"word":  r"asymp",               "menu":  "≍"},
    {"word":  r"backslash",           "menu":  "\\"},
    {"word":  r"beta",                "menu":  "β"},
    {"word":  r"bigcap",              "menu":  "∩"},
    {"word":  r"bigcirc",             "menu": "◦"},
    {"word":  r"bigcup",              "menu":  "∪"},
    {"word":  r"bigodot",             "menu":  "⊙"},
    {"word":  r"bigoplus",            "menu":  "⊕"},
    {"word":  r"bigotimes",           "menu":  "⊗"},
    {"word":  r"bigsqcup",            "menu":  "⊔"},
    {"word":  r"bigtriangledown",     "menu":  "▽"},
    {"word":  r"bigtriangleup",       "menu":  "△"},
    {"word":  r"biguplus",            "menu":  "⊎"},
    {"word":  r"bigvee",              "menu":  "∨"},
    {"word":  r"bigwedge",            "menu":  "∧"},
    {"word":  r"bot",                 "menu":  "⊥"},
    {"word":  r"bowtie",              "menu":  "▷◁"},
    {"word":  r"Box",                 "menu":  "□"},
    {"word":  r"bullet",              "menu":  "•"},
    {"word":  r"cap",                 "menu":  "∩"},
    {"word":  r"cdot",                "menu":  "·"},
    {"word":  r"cdots",               "menu":  "···"},
    {"word":  r"chi",                 "menu":  "χ"},
    {"word":  r"circ",                "menu":  "◦"},
    {"word":  r"clubsuit",            "menu":  "♣"},
    {"word":  r"cong",                "menu":  "≅"},
    {"word":  r"coprod",              "menu":  "⨿"},
    {"word":  r"cup",                 "menu":  "∪"},
    {"word":  r"dagger",              "menu":  "†"},
    {"word":  r"dashv",               "menu":  "⊣"},
    {"word":  r"ddagger",             "menu":  "‡"},
    {"word":  r"ddots",               "menu":  "..."},
    {"word":  r"Delta",               "menu":  "∆"},
    {"word":  r"delta",               "menu":  "δ"},
    {"word":  r"diamond",             "menu":  "⋄"},
    {"word":  r"Diamond",             "menu":  "♢"},
    {"word":  r"diamondsuit",         "menu":  "♢"},
    {"word":  r"div",                 "menu":  "÷"},
    {"word":  r"doteq",               "menu":  "≐"},
    {"word":  r"downarrow",           "menu":  "↓"},
    {"word":  r"Downarrow",           "menu":  "⇓"},
    {"word":  r"ell",                 "menu":  "ℓ"},
    {"word":  r"emptyset",            "menu":  "∅"},
    {"word":  r"epsilon",             "menu":  "ϵ"},
    {"word":  r"equiv",               "menu":  "≡"},
    {"word":  r"eta",                 "menu":  "η"},
    {"word":  r"exists",              "menu":  "∃"},
    {"word":  r"flat",                "menu":  "♭"},
    {"word":  r"forall",              "menu":  "∀"},
    {"word":  r"frown",               "menu":  "⌢"},
    {"word":  r"gamma",               "menu":  "γ"},
    {"word":  r"Gamma",               "menu":  "Γ"},
    {"word":  r"geq",                 "menu":  "≥"},
    {"word":  r"gg",                  "menu":  "≫"},
    {"word":  r"hbar",                "menu":  "ħ"},
    {"word":  r"heartsuit",           "menu":  "♡"},
    {"word":  r"hookleftarrow",       "menu":  "↩"},
    {"word":  r"hookrightarrow",      "menu":  "↪"},
    {"word":  r"imath",               "menu":  "ı"},
    {"word":  r"Im",                  "menu":  "ℑ"},
    {"word":  r"infty",               "menu":  "∞"},
    {"word":  r"in",                  "menu":  "∈"},
    {"word":  r"int",                 "menu":  "∫"},
    {"word":  r"iota",                 "menu":  "ι"},
    {"word":  r"jmath",               "menu":  "ȷ"},
    {"word":  r"kappa",               "menu":  "κ"},
    {"word":  r"lambda",              "menu":  "λ"},
    {"word":  r"Lambda",              "menu":  "Λ"},
    {"word":  r"langle",                  "menu":  "〈"},
    {"word":  r"ldots",               "menu":  "..."},
    {"word":  r"leadsto",             "menu":  "⇝"},
    {"word":  r"leftarrow",           "menu":  "←"},
    {"word":  r"Leftarrow",           "menu":  "⇐"},
    {"word":  r"leftharpoondown",     "menu":  "↽"},
    {"word":  r"leftharpoonup",       "menu":  "↼"},
    {"word":  r"leftrightarrow",      "menu":  "↔"},
    {"word":  r"Leftrightarrow",      "menu":  "⇔"},
    {"word":  r"leq",                 "menu":  "≤"},
    {"word":  r"lhd",                 "menu":  "◁"},
    {"word":  r"ll",                  "menu":  "≪"},
    {"word":  r"longleftarrow",       "menu":  "←−"},
    {"word":  r"Longleftarrow",       "menu":  "⇐="},
    {"word":  r"longleftrightarrow",  "menu":  "←→"},
    {"word":  r"Longleftrightarrow",  "menu":  "⇐⇒"},
    {"word":  r"longmapsto",          "menu":  "−→"},
    {"word":  r"longrightarrow",      "menu":  "−→"},
    {"word":  r"Longrightarrow",      "menu":  "=⇒"},
    {"word":  r"mapsto",              "menu":  "↦"},
    {"word":  r"|",                   "menu":  "∥"},
    {"word":  r"mho",                 "menu":  "℧"},
    {"word":  r"mid",                 "menu":  "|"},
    {"word":  r"models",              "menu":  "⊧"},
    {"word":  r"mp",                  "menu":  "∓"},
    {"word":  r"mu",                  "menu":  "μ"},
    {"word":  r"nabla",               "menu":  "∇"},
    {"word":  r"natural",             "menu":  "♮"},
    {"word":  r"nearrow",             "menu":  "↗"},
    {"word":  r"neg",                 "menu":  "¬"},
    {"word":  r"neq",                 "menu":  "≠"},
    {"word":  r"ni",                  "menu":  "∋"},
    {"word":  r"nu",                  "menu":  "ν"},
    {"word":  r"nwarrow",             "menu":  "↖"},
    {"word":  r"odot",                "menu":  "⊙"},
    {"word":  r"oint",                "menu":  "∮"},
    {"word":  r"omega",               "menu":  "ω"},
    {"word":  r"Omega",               "menu":  "Ω"},
    {"word":  r"ominus",              "menu":  "⊖"},
    {"word":  r"oplus",               "menu":  "⊕"},
    {"word":  r"oslash",              "menu":  "⊘"},
    {"word":  r"otimes",              "menu":  "⊗"},
    {"word":  r"parallel",            "menu":  "∥"},
    {"word":  r"partial",             "menu":  "∂"},
    {"word":  r"perp",                "menu":  "⊥"},
    {"word":  r"Phi",                 "menu":  "Φ"},
    {"word":  r"phi",                 "menu":  "ϕ"},
    {"word":  r"pi",                  "menu":  "π"},
    {"word":  r"Pi",                  "menu":  "Π"},
    {"word":  r"pm",                  "menu":  "±"},
    {"word":  r"preceq",              "menu":  "⪯"},
    {"word":  r"prec",                "menu":  "≺"},
    {"word":  r"prime",               "menu":  "′"},
    {"word":  r"prod",                "menu":  "∏"},
    {"word":  r"propto",              "menu":  "∝"},
    {"word":  r"psi",                 "menu":  "ψ"},
    {"word":  r"Psi",                 "menu":  "Ψ"},
    {"word":  r"rangle",                  "menu":  "〉"},
    {"word":  r"Re",                  "menu":  "ℜ"},
    {"word":  r"rhd",                 "menu":  "▷"},
    {"word":  r"rho",                 "menu":  "ρ"},
    {"word":  r"rightarrow",          "menu":  "→"},
    {"word":  r"Rightarrow",          "menu":  "⇒"},
    {"word":  r"rightharpoondown",    "menu":  "⇁"},
    {"word":  r"rightharpoonup",      "menu":  "⇀"},
    {"word":  r"rightleftharpoons",   "menu":  "⇌"},
    {"word":  r"searrow",             "menu":  "↘"},
    {"word":  r"setminus",            "menu":  "\\"},
    {"word":  r"sharp",               "menu":  "♯"},
    {"word":  r"sigma",               "menu":  "σ"},
    {"word":  r"Sigma",               "menu":  "Σ"},
    {"word":  r"simeq",               "menu":  "≃"},
    {"word":  r"sim",                 "menu":  "∼"},
    {"word":  r"smile",               "menu":  "⌣"},
    {"word":  r"spadesuit",           "menu":  "♠"},
    {"word":  r"sqcap",               "menu":  "⊓"},
    {"word":  r"sqcup",               "menu":  "⊔"},
    {"word":  r"sqsubseteq",          "menu":  "⊑"},
    {"word":  r"sqsubset",            "menu":  "⊏"},
    {"word":  r"sqsupseteq",          "menu":  "⊒"},
    {"word":  r"sqsupset",            "menu":  "⊐"},
    {"word":  r"star",                "menu":  "⋆"},
    {"word":  r"subseteq",            "menu":  "⊆"},
    {"word":  r"subset",              "menu":  "⊂"},
    {"word":  r"succeq",              "menu":  "⪰"},
    {"word":  r"succ",                "menu":  "≻"},
    {"word":  r"sum",                 "menu":  "∑"},
    {"word":  r"supseteq",            "menu":  "⊇"},
    {"word":  r"supset",              "menu":  "⊃"},
    {"word":  r"surd",                "menu":  "√"},
    {"word":  r"swarrow",             "menu":  "↙"},
    {"word":  r"tau",                 "menu":  "τ"},
    {"word":  r"theta",               "menu":  "θ"},
    {"word":  r"Theta",               "menu":  "Θ"},
    {"word":  r"times",               "menu":  "×"},
    {"word":  r"top",                 "menu":  "⊤"},
    {"word":  r"triangleleft",        "menu":  "◁"},
    {"word":  r"triangle",            "menu":  "△"},
    {"word":  r"triangleright",       "menu":  "▷"},
    {"word":  r"unlhd",               "menu":  "⊴"},
    {"word":  r"unrhd",               "menu":  "⊵"},
    {"word":  r"uparrow",             "menu":  "↑"},
    {"word":  r"Uparrow",             "menu":  "⇑"},
    {"word":  r"updownarrow",         "menu":  "↕"},
    {"word":  r"Updownarrow",         "menu":  "⇕"},
    {"word":  r"uplus",               "menu":  "⊎"},
    {"word":  r"upsilon",             "menu":  "υ"},
    {"word":  r"Upsilon",             "menu":  "Υ"},
    {"word":  r"varepsilon",          "menu":  "ε"},
    {"word":  r"varphi",              "menu":  "φ"},
    {"word":  r"varpi",               "menu":  "ϖ"},
    {"word":  r"varrho",              "menu":  "ϱ"},
    {"word":  r"varsigma",            "menu":  "ς"},
    {"word":  r"vartheta",            "menu":  "ϑ"},
    {"word":  r"vdash",               "menu":  "⊢"},
    {"word":  r"vdots",               "menu":  "..."},
    {"word":  r"vee",                 "menu":  "∨"},
    {"word":  r"wedge",               "menu":  "∧"},
    {"word":  r"wp",                  "menu":  "℘"},
    {"word":  r"wr",                  "menu":  "≀"},
    {"word":  r"xi",                  "menu":  "ξ"},
    {"word":  r"Xi",                  "menu":  "Ξ"},
    {"word":  r"zeta",                "menu":  "ζ"}
]

